@charset 'utf-8';

/* 共通部分 */
html {
  font-size: 100%;
  scroll-behavior: smooth;
}
body {
  color: #111111;
  font-size: 16px;
  font-family: "Josefin Sans", Arial, "Hiragino Kaku Gothic ProN",
    "Hiragino Sans", Meiryo, sans-serif;
  font-feature-settings: "palt";
}
a {
  color: #111;
  text-decoration: none;
}
img {
  max-width: 100%;
  height: auto;
  vertical-align: bottom;
}
ul {
  list-style: none;
}

/* レイアウト */
.wrapper {
  max-width: 1170px;
  margin: 0 auto;
  padding: 0 30px;
}
/* .section {
  padding: 20px 0;
}
.section--color-reverse .section__inner {
  padding: 40px 0;
  background-color: var(--main-color);
}
.section__heading {
  margin-bottom: 30px;
} */

/* ボタン */
.btn {
  display: inline-block;
  width: 100%;
  padding: 20px 10px;
  border-radius: 50px;
  background-color: #eb51c2;
  color: #ffffff;
  font-size: 13px;
  font-weight: 600;
  text-align: center;
  letter-spacing: 0.05em;
  line-height: 1;
  transition: all 0.3s;
}
.btn--color-reverse {
  color: #eb51c2;
  background-color: #fff;
}
.btn--center {
  display: block;
  max-width: 300px;
  margin: 0 auto;
}
.btn--header {
  border-radius: 100px;
  padding: 12px 15px;
  font-size: 0.75rem;
}
.btn.btn--header {
  display: none;
}
.btn.btn--header.active {
  display: block;
}
.btn--mv {
  width: 220px;
}
.btn--about {
  width: 300px;
}
.btn--cta {
  width: 300px;
}

/* 見出し */
.title {
  color: #333333;
  font-size: 2.5rem;
  font-weight: 400;
}
.subtitle {
  color: #eb51c2;
  margin-top: 10px;
  font-size: 0.875rem;
  font-weight: 600;
}
.title--color-reverse,
.subtitle--color-reverse {
  color: #fff;
}

/* フェードイン */
.fadein {
  opacity: 0;
}

/* Header */
.header {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 9999;
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  height: 60px;
  padding: 0 20px;
  transition: 0.3s;
}
.header.active {
  background-color: #ffffff;
  box-shadow: 0 3px 6px rgb(0, 0, 0, 0.05);
}

/* Mainvisual */
.mv {
  position: relative;
  height: 410px;
  padding: 150px 0 0 20px;
}
.mv__title {
  font-size: min(11vw, 90px);
  font-style: italic;
}
.mv__text-bg-color {
  background-color: #ffffff;
}
.mv__text-and {
  color: #eb51c2;
  font-size: min(9vw, 85px);
}
.mv__subtitle {
  margin-top: 10px;
  font-size: min(3.5vw, 28px);
  font-weight: 600;
}
.mv__btn {
  margin-top: 15px;
}
.mv__img {
  position: absolute;
  top: 0;
  right: 0;
  z-index: -1;
  width: 70%;
  height: 410px;
  border-radius: 0 0 0 50px;
  background: url("../img/bg_mv.jpg") center center / cover no-repeat;
  animation: 1s fadeInMvImg 0.2s forwards;
}
@keyframes fadeInMvImg {
  100% {
    opacity: 1;
  }
}
.bgextend {
  position: relative;
  opacity: 0;
  overflow: hidden;
  animation: bgextendAnimeBase 1s forwards;
}
@keyframes bgextendAnimeBase {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}
.bgappear {
  opacity: 0;
  animation: bgextendAnimeSecond 1s 0.6s forwards;
}
@keyframes bgextendAnimeSecond {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
.bgLRextend::before {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  background-color: #eb51c2;
  animation: bgLRextendAnime 1s forwards;
}
@keyframes bgLRextendAnime {
  0% {
    transform: scaleX(0);
    transform-origin: left;
  }
  50% {
    transform: scaleX(1);
    transform-origin: left;
  }
  50.001% {
    transform-origin: right;
  }
  100% {
    transform: scaleX(0);
    transform-origin: right;
  }
}

/* Intro */
.intro {
  margin-top: -20px;
  padding: 0 20px;
}
.intro__title {
  color: #eb51c2;
  font-size: 3.5rem;
  font-style: italic;
  text-align: center;
}
.intro__subtitle {
  font-weight: bold;
  text-align: center;
  letter-spacing: 0.1em;
}
.intro__subtitle span {
  color: #eb51c2;
}
.intro__text {
  margin-top: 25px;
  font-size: 0.9375rem;
  font-weight: 300;
  line-height: 1.8;
}

/* About */
.about {
  margin-top: 20px;
}
.about__list {
  display: flex;
  flex-direction: column;
  gap: 40px;
}
.about__img {
  width: 100%;
}
.about__content {
  position: relative;
  margin: -10px 20px;
  padding: 40px 30px 30px 30px;
  border-radius: 8px;
  background-color: #fff;
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.1);
}
.about__subtitle {
  font-size: 1.125rem;
  font-weight: 400;
}
.about__subtitle--training {
  color: #eb51c2;
}
.about__subtitle--food {
  color: #00b21b;
}
.about__title {
  margin-top: 20px;
  font-size: 1.375rem;
  font-weight: 600;
  line-height: 1.5;
}
.about__text {
  margin-top: 15px;
  font-size: 0.875rem;
  font-weight: 300;
  line-height: 1.7;
}
.about__btn {
  margin-top: 40px;
}

/* Trainer */
.trainer {
  width: 100%;
  height: 100%;
  margin-top: 40px;
  padding: 65px 0;
  background: url("../img/bg.svg") center top / cover no-repeat;
}
.tab {
  margin-top: 30px;
}
.tab__list {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  cursor: pointer;
}
.tab__item {
  padding-bottom: 10px;
  color: #ffffff;
  font-weight: 600;
  text-align: center;
}
.tab__item.tab__item--active {
  position: relative;
}
.tab__item.tab__item--active::before {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 2px;
  border-radius: 3px;
  background-color: #ffffff;
}
.tab__panel {
  display: none;
  margin-top: 20px;
  transition: all 1s;
  animation-name: fade-in;
  animation-duration: 0.5s;
}
@keyframes fade-in {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}
.tab__panel.is-display {
  display: grid;
  grid-template-columns: 1fr;
  gap: 15px;
}
.tab__card {
  border-radius: 10px;
  background-color: #ffffff;
  overflow: hidden;
}
.tab__img {
  width: 100%;
}
.tab__text {
  padding: 20px;
  font-size: 0.875rem;
  line-height: 1.6;
}

/* Studio */
.studio {
  margin-top: 40px;
}
.swiper-container {
  position: relative;
  margin-top: 30px;
}
.swiper-horizontal > .swiper-pagination-bullets,
.swiper-pagination-bullets.swiper-pagination-horizontal,
.swiper-pagination-custom,
.swiper-pagination-fraction {
  bottom: -30px;
}
.swiper {
  overflow: hidden;
}
.swiper-pagination-bullet-active {
  background: #eb51c2;
}
.swiper-button-prev,
.swiper-button-next {
  position: absolute;
  top: 50%;
  width: 40px;
  height: 40px;
  border-radius: 50%;
  background-color: #ffffff;
  transform: translateY(-50%);
}
.swiper-button-prev {
  left: -20px;
}
.swiper-button-next {
  right: -20px;
}
.swiper-button-prev::before,
.swiper-button-prev::after,
.swiper-button-next::before,
.swiper-button-next::after {
  content: "";
  position: absolute;
  top: 50%;
  left: calc(50% - 4px);
  width: 8px;
  height: 2px;
  border-radius: 9999px;
  background-color: #eb51c2;
}
.swiper-button-prev::before,
.swiper-button-prev::after {
  transform-origin: 1px 50%;
}
.swiper-button-next::before,
.swiper-button-next::after {
  transform-origin: calc(100% - 1px) 50%;
}
.swiper-button-prev::before,
.swiper-button-next::before {
  transform: translateY(-50%) rotate(45deg);
}
.swiper-button-prev::after,
.swiper-button-next::after {
  transform: translateY(-50%) rotate(-45deg);
}

/* Price */
.price {
  margin-top: 50px;
  /* margin-top: 20px; */
  width: 100%;
  height: 100%;
  padding: 65px 0;
  background: url("../img/bg.svg") center top / cover no-repeat;
}
.price__container {
  overflow-x: auto;
  margin: 0 -30px;
  padding: 0 30px;
}
.price__list {
  position: relative;
  display: grid;
  grid-template-columns: repeat(3, 320px);
  gap: 20px;
  margin-top: 30px;
  padding-right: 20px;
  overflow: visible;
}
.price__item {
  position: relative;
  padding: 40px 20px 30px;
  border-radius: 10px;
  background-color: #ffffff;
  text-align: center;
}
.price__label {
  position: absolute;
  top: -24px;
  left: 50%;
  width: 80%;
  padding: 10px 0;
  border: 2px solid #eb51c2;
  border-radius: 70px;
  background-color: #ffffff;
  color: #eb51c2;
  font-size: 1.25rem;
  font-weight: bold;
  line-height: 1;
  transform: translateX(-50%);
}
.price__title {
  color: #eb51c2;
  font-size: 1.625rem;
  font-weight: 600;
}
.price__price-title {
  margin-top: 10px;
  font-size: 3rem;
  font-weight: 400;
}
.price__price-title span {
  font-size: 2.5rem;
}
.price__price-text {
  font-weight: 300;
}
.price__body {
  margin-top: 30px;
  padding-top: 30px;
  border-top: 1px solid #d9d9d9;
}
.price__body--first {
  margin-top: 20px;
}
.price__body-title {
  font-size: 1.125rem;
  font-weight: 300;
}
.price__body-text {
  margin-top: 5px;
  font-weight: 600;
}
.price__scroll {
  position: absolute;
  top: 50%;
  right: 5%;
  padding: 10px;
  border-radius: 4px;
  background: rgba(0, 0, 0, 0.6);
  color: #ffffff;
  font-size: 0.75rem;
  font-weight: 300;
  transform: translateY(-50%);
}
.price__scroll span {
  display: block;
  font-size: 2rem;
  text-align: center;
}

/* Faq */
.faq {
  margin-top: 40px;
}
.faq__list {
  margin-top: 10px;
}
.faq__item {
  border-bottom: 1px solid #ccc;
}
.faq__label {
  flex: 0 0 25px;
  color: #eb51c2;
  font-size: 1.625rem;
  font-weight: bold;
  text-align: center;
}
.faq__question,
.faq__answer-inner {
  display: flex;
  gap: 15px;
}
.faq__question {
  position: relative;
  padding: 20px 30px 15px 0;
  cursor: pointer;
}
.faq__question::before,
.faq__question::after {
  content: "";
  position: absolute;
  top: 50%;
  right: 4px;
  width: 2px;
  height: 8px;
  border-radius: 9999px;
  background-color: #eb51c2;
  transform-origin: 50% 1px;
}
.faq__question::before {
  transform: translateY(-50%) rotate(45deg);
}
.faq__question::after {
  transform: translateY(-50%) rotate(-45deg);
}
.faq__question.active::before,
.faq__question.active::after {
  transform-origin: 50% calc(100% - 1px);
}
.faq__answer {
  height: 0;
  transition: height 0.2s ease-out;
  overflow: hidden;
}
.faq__text {
  font-size: 0.9375rem;
  font-weight: 300;
  line-height: 1.7;
}

/* Cta */
.cta {
  margin-top: 50px;
}
.cta__img {
  width: 100%;
}
.cta__img--pc {
  display: none;
}
.cta__body {
  padding: 30px 0;
  background-color: #eb51c2;
  text-align: center;
}
.cta__title {
  color: #ffffff;
  font-size: 1.625rem;
  font-weight: bold;
}
.cta__btn {
  margin-top: 10px;
}

/* Footer */
.footer {
  padding: 50px 0;
  background-color: #141414;
  text-align: center;
}
.page-top {
  position: fixed;
  right: 20px;
  bottom: 20px;
  z-index: 9999;
  display: block;
  width: 40px;
  height: 40px;
  border-radius: 50%;
  background-color: #ffffff;
  box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.2);
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.3s;
}
.page-top::before,
.page-top::after {
  content: "";
  position: absolute;
  top: 50%;
  left: calc(50% - 1px);
  width: 2px;
  height: 8px;
  border-radius: 9999px;
  background-color: #eb51c2;
  transform-origin: 50% 1px;
}
.page-top::before {
  transform: translateY(-50%) rotate(45deg);
}
.page-top::after {
  transform: translateY(-50%) rotate(-45deg);
}
.page-top:hover {
  opacity: 0.8;
}
.page-top.show {
  opacity: 1;
  pointer-events: auto;
}

/* TAB表示 */
@media (min-width: 600px) {
  /* 共通部分 */
  /* ボタン */
  .btn--header {
    width: 200px;
  }

  /* Mainvisual */
  .mv {
    height: 500px;
    padding-left: 5%;
  }
  .mv__img {
    height: 500px;
  }

  /* Intro */
  .intro__title br {
    display: none;
  }

  /* Trainer */
  .tab__panel.is-display {
    grid-template-columns: repeat(3, 1fr);
  }
}

/* PC表示 */
@media (min-width: 1025px) {
  /* 共通部分 */
  /* レイアウト */
  /* .section {
    padding: 30px 0;
  } */

  .btn {
    font-size: 20px;
    padding: 30px;
  }
  .btn:hover {
    opacity: 0.8;
  }
  .btn--center {
    max-width: 360px;
  }
  .btn--header {
    width: 250px;
    padding: 15px 0;
    font-size: 0.9375rem;
  }
  .btn--mv {
    width: 370px;
  }
  .btn--about {
    width: 360px;
  }
  .btn--cta {
    width: 360px;
  }

  /* 見出し */
  .title {
    font-size: 4rem;
  }
  .subtitle {
    font-size: 1.25rem;
  }

  /* Header */
  .header {
    height: 80px;
    padding: 0 35px;
  }
  .header__logo-img {
    width: 180px;
  }

  /* Mainvisual */
  .mv {
    height: 680px;
    padding-top: 220px;
    padding-left: 12%;
  }
  .mv__subtitle {
    margin-top: 20px;
  }
  .mv__btn {
    margin-top: 30px;
  }
  .mv__img {
    height: 680px;
    border-radius: 0 0 0 90px;
  }

  /* Intro */
  .intro {
    margin-top: -20px;
    padding: 0 20px;
  }
  .intro__title {
    font-size: 6.75rem;
  }
  .intro__subtitle {
    margin-top: 10px;
    font-size: 2rem;
  }
  .intro__text {
    font-size: 1rem;
    text-align: center;
    line-height: 2;
  }

  /* About */
  .about {
    margin-top: 30px;
  }
  .about__list {
    gap: 100px;
  }
  .about__item {
    position: relative;
    display: flex;
  }
  .about__item--reverse {
    flex-direction: row-reverse;
  }
  .about__img {
    width: 70%;
  }
  .about__content {
    position: relative;
    right: 20px;
    bottom: -20px;
    flex-shrink: 0;
    width: 555px;
    margin: 0;
    padding: 60px;
  }
  .about__item--reverse .about__content {
    left: 20px;
  }
  .about__subtitle {
    font-size: 1.5rem;
  }
  .about__title {
    margin-top: 20px;
    font-size: 2rem;
  }
  .about__text {
    font-size: 0.9375rem;
    line-height: 1.8;
  }
  .about__btn {
    margin-top: 70px;
  }

  /* Trainer */
  .trainer {
    margin-top: 60px;
    padding: 96px 0 136px;
  }
  .tab__item {
    padding-bottom: 20px;
    font-size: 1.125rem;
  }
  .tab__text {
    font-size: 0.9375rem;
    line-height: 1.7;
  }

  /* Studio */
  .studio {
    margin-top: 60px;
  }
  .swiper-button-prev,
  .swiper-button-next {
    width: 60px;
    height: 60px;
  }
  .swiper-button-prev {
    left: -30px;
  }
  .swiper-button-next {
    right: -30px;
  }
  .swiper-button-prev::before,
  .swiper-button-prev::after,
  .swiper-button-next::before,
  .swiper-button-next::after {
    left: calc(50% - 6px);
    width: 12px;
    height: 3px;
  }

  /* Price */
  .price {
    margin-top: 60px;
    /* margin-top: 30px; */
    padding: 136px 0;
  }
  .price__container {
    margin: 0;
    padding: 0;
  }
  .price__list {
    grid-template-columns: repeat(3, 1fr);
    gap: 15px;
    padding: 0;
  }
  .price__scroll {
    display: none;
  }

  /* Faq */
  .faq {
    margin-top: 60px;
  }

  /* Cta */
  .cta {
    margin-top: 70px;
  }
  .cta__img--sp {
    display: none;
  }
  .cta__img--pc {
    display: block;
  }
  .cta__body {
    padding: 50px 0;
  }
  .cta__title {
    font-size: 4rem;
    font-weight: 400;
  }
  .cta__btn {
    margin-top: 15px;
  }

  /* Footer */
  .footer {
    padding: 100px 0;
  }
  .footer__logo-img {
    width: 180px;
  }
  .page-top {
    width: 80px;
    height: 80px;
  }
  .page-top::before,
  .page-top::after {
    left: calc(50% - 2px);
    width: 4px;
    height: 16px;
    transform-origin: 50% 2px;
  }
}
